
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define name	ladcca
%define version 0.4.0
%define release %mkrel 10

%define major 	2
%define libname %mklibname %name %major

Name: 		%{name}
Summary: 	Session management system for JACK and ALSA audio applications
Version: 	%{version}
Release: 	%{release}

Source:		http://lash-audio-session-handler.org/download/%{name}-%{version}.tar.bz2
Patch0:		ladcca-0.4.0-depreciated_jackAPI.patch
URL:		http://pkl.net/~node/software/lash/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	tetex pkgconfig jackit-devel libalsa-devel libgtk+2.0-devel
BuildRequires: 	libext2fs-devel texi2html libxml2-devel readline-devel termcap-devel

%description
This is a daemon, a client library and a some clients that implement a session
management system for audio applications on GNU/Linux.

In different consoles, run ladcca_gtk_client and ladcca_synth.  Make
some jack and aseq connections to the synth using aconnect and jack_connect.
Add some configs and open a file in ladcca_gtk_client.  Then click on save
in ladcca_gtk_client.  Now close both the clients (just ^C the synth.)  Now
run ladcca_control and type "restore /home/<user>/audio-projects/project-1". 
The synth and gtk client should restart, and the synth's connections should
be restored.  Phat.

%package -n %{libname}
Summary: Main library for %name
Group: System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %name.

%package -n %{libname}-devel
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q
%patch -p1

%build
%configure2_5x --disable-serv-inst
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f docs/Make*

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-gtk.desktop << EOF
[Desktop Entry]
Name=LADCCA GUI
Comment=Jack/ALSA Session Manager
Exec=%{_bindir}/%{name}_gtk_client
Icon=sound_section.png
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-synth.desktop << EOF
[Desktop Entry]
Name=LADCCA Synth
Comment=Simple Synthesizer
Exec=%{_bindir}/%{name}_synth
Icon=sound_section.png
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%_install_info %{name}.info
if ! grep -q ^ladcca /etc/services; then echo -e "\nladcca\t\t14541/tcp\t\t\t# LADCCA client/server protocol" >> /etc/services; fi

%postun
%clean_menus
%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README docs/* NEWS TODO
%{_bindir}/*
#%{_menudir}/%name
%{_infodir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}-gtk.desktop
%{_datadir}/applications/mandriva-%{name}-synth.desktop

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/ladcca*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 06 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-10
- Rebuild for pclos2007

* Wed Sep 28 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-9.pclo2005.thac
- Rebuilt cleand up spec

* Mon Aug 22 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-8.pclo2005.thac
- Rebuilt cleand up spec

* Sun Apr 10 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-7.pclo81a.thac
- Rebuilt for PCLinuxOs 81a
- Added patch for newer versions of jackit

* Thu Oct 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-6.mdk10.1.thac
- 6.mdk10.1.thac
- Where "6" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro,

* Tue Apr 20 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-5thac
- Rebuilt against Mandrake 10.0 official

* Sat Mar 20 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-4thac
- Rebuilt against Mandrake 10.0

* Fri Dec 26 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-3thac
- Cleaned up spec file

* Mon Nov 17 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-2thac
- Rebuilt against jackit-0.9.0

* Wed Oct 29 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4.0-1thac
- Rebuilt against Mandake 9.2
- Updated to latest version

* Wed Sep 24 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.1-1thac
- Rebuilt against latest jackit
- Changed naming to differ from Mandrake cooker
- Cleaned up spec file
- Added missing limits.h include to main.c

* Fri Jul 25 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.1-2mdk
- Rebuilt against latest jackit

* Tue Apr 15 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.1-1mdk
- Updated to latest version

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.3.0-1mdk
- 0.3.0

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
